import './assets/main.css'

import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'

import socketService from '@/services/socket'

const app = createApp(App)

app.use(createPinia())
app.use(router)

app.provide('socket', socketService)

app.mount('#app')
