export interface GameState {
  players: any[]
  boneyard: any[]
  currentPlayer: string
  board: any[]
  gameInProgress: boolean
  winner?: any
  gameBlocked: boolean
  gameTied: boolean
  gameId: string
  tileSelectionPhase: boolean
}

export interface PlayerState {
  id: string
  name: string
  score: number
  hand: any[]
  teamedWith: string | undefined
}
